org.apache.commons.math3.optim.nonlinear.scalar

## Interface MultivariateFunctionMappingAdapter.Mapper

- All Known Implementing Classes:
    MultivariateFunctionMappingAdapter.LowerBoundMapper, MultivariateFunctionMappingAdapter.LowerUpperBoundMapper, MultivariateFunctionMappingAdapter.NoBoundsMapper, MultivariateFunctionMappingAdapter.UpperBoundMapper
  Enclosing class:
    MultivariateFunctionMappingAdapter

      private static interface MultivariateFunctionMappingAdapter.Mapper

  Mapping interface.

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `double` | `boundedToUnbounded(double x)` Maps a value from bounded to unbounded.
    `double` | `unboundedToBounded(double y)` Maps a value from unbounded to bounded.

- - ### Method Detail

    - #### unboundedToBounded

          double unboundedToBounded(double y)

      Maps a value from unbounded to bounded.
      Parameters:
        `y` - Unbounded value.
      Returns:
        the bounded value.

    - #### boundedToUnbounded

          double boundedToUnbounded(double x)

      Maps a value from bounded to unbounded.
      Parameters:
        `x` - Bounded value.
      Returns:
        the unbounded value.

Copyright (c) 2003-2013 Apache Software Foundation